// EthernetHostDlg.h : header file
//
//=============================================================================
// Ethernet Host Program Test
//
// [CEthernetHostDlg.h]
// by http://cafe.naver.com/elab 
//=============================================================================

#if !defined(AFX_ETHERNETHOSTDLG_H__FE3B98D4_8AAA_4DB0_86A9_E2A831D4E585__INCLUDED_)
#define AFX_ETHERNETHOSTDLG_H__FE3B98D4_8AAA_4DB0_86A9_E2A831D4E585__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEthernetHostDlg dialog
#include "ServerAsyncSocket.h"
#include "ClientAsyncSocket.h"

class CEthernetHostDlg : public CDialog
{
// Construction
public:
	CEthernetHostDlg(CWnd* pParent = NULL);	// standard constructor
	CServerAsyncSocket m_ServerSocket;
	CClientAsyncSocket m_ClientSocket;

	UINT m_NetPort;	
	BOOL m_FlagConnect;
	BOOL m_FlagMode;

	CString m_IpAddress;
// Dialog Data
	//{{AFX_DATA(CEthernetHostDlg)
	enum { IDD = IDD_ETHERNETHOST_DIALOG };
	CString	m_strSend;
	CString	m_strRecive;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEthernetHostDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEthernetHostDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnClose();
	afx_msg void OnButton2();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ETHERNETHOSTDLG_H__FE3B98D4_8AAA_4DB0_86A9_E2A831D4E585__INCLUDED_)
